/*	%W%	(NCSA)	%G%		*/

/* output devices */

#define MAXRG 4

#define DEVNULL 0
#define MACRG 1
#define HP 2
#define MP 3

#define PREDCOUNT 50

extern int 
	RG0init(), RG0point(), RG0drawline(), RG0newwin(),
	RG0clrscr(), RG0pagedone(), RG0dataline(), RG0pencolor(),
	RG0charmode(), RG0showcur(), RG0lockcur(), RG0hidecur(),
	RG0close(), RG0uncover(), RG0info(),
	RG0gmode(), RG0tmode(), RG0bell(),

	RGMinit(), RGMpoint(), RGMdrawline(), RGMnewwin(),
	RGMclrscr(), RGMpagedone(), RGMdataline(), RGMpencolor(),
	RGMcharmode(), RGMshowcur(), RGMlockcur(), RGMhidecur(),
	RGMclose(), RGMuncover(), RGMinfo(),
	RGMgmode(), RGMtmode(), RGMbell(),

	RGMPinit(), RGMPpoint(), RGMPdrawline(), RGMPnewwin(),
	RGMPclrscr(), RGMPpagedone(), RGMPdataline(), RGMPpencolor(),
	RGMPcharmode(), RGMPshowcur(), RGMPlockcur(), RGMPhidecur(),
	RGMPclose(), RGMPuncover(), RGMPinfo(),
	RGMPgmode(), RGMPtmode(), RGMPbell()
#ifdef HP_USED

	,RGHPinit(), RGHPpoint(), RGHPdrawline(), RGHPnewwin(),
	RGHPclrscr(), RGHPpagedone(), RGHPdataline(), RGHPpencolor(),
	RGHPcharmode(), RGHPshowcur(), RGHPlockcur(), RGHPhidecur(),
	RGHPclose(), RGHPuncover(), RGHPinfo(),
	RGHPgmode(), RGHPtmode(), RGHPbell(),
#endif HP_USED
;

extern char
	*RGMdevname(), *RG0devname(), *RGMPdevname()
#ifdef HP_USED
	,*RGHPdevname()
#endif HP_USED
	;

static RGLINK RG[MAXRG] = {
	RG0init, RG0point, RG0drawline, RG0newwin,
	RG0clrscr, RG0pagedone, RG0dataline, RG0pencolor,
	RG0charmode, RG0showcur, RG0lockcur, RG0hidecur,
	RG0close, RG0uncover, RG0info,
	RG0gmode, RG0tmode, donothing, RG0devname, RG0bell,

	RGMinit, RGMpoint, RGMdrawline, RGMnewwin,
	RGMclrscr, RGMpagedone, RGMdataline, RGMpencolor,
	RGMcharmode, RGMshowcur, RGMlockcur, RGMhidecur,
	RGMclose, RGMuncover, RGMinfo,
	RGMgmode, RGMtmode, donothing, RGMdevname, RGMbell,

#ifdef RGHP_USED
	RGHPinit, RGHPpoint, RGHPdrawline, RGHPnewwin,
	RGHPclrscr, RGHPpagedone, RGHPdataline, RGHPpencolor,
	RGHPcharmode, RGHPshowcur, RGHPlockcur, RGHPhidecur,
	RGHPclose, RGHPuncover, RGHPinfo,
	RGHPgmode, RGHPtmode, donothing, RGHPdevname, RGHPbell,
#else
	RG0init, RG0point, RG0drawline, RG0newwin,
	RG0clrscr, RG0pagedone, RG0dataline, RG0pencolor,
	RG0charmode, RG0showcur, RG0lockcur, RG0hidecur,
	RG0close, RG0uncover, RG0info,
	RG0gmode, RG0tmode, donothing, RG0devname, RG0bell,
#endif

	RGMPinit, RGMPpoint, RGMPdrawline, RGMPnewwin,
	RGMPclrscr, RGMPpagedone, RGMPdataline, RGMPpencolor,
	RGMPcharmode, RGMPshowcur, RGMPlockcur, RGMPhidecur,
	RGMPclose, RGMPuncover, RGMPinfo,
	RGMPgmode, RGMPtmode, donothing, RGMPdevname, RGMPbell

};
