#ifdef lint
static char *SCCSid = "%W%	(NCSA)	%G%";
#endif

/*

rgmp.c by Gaige B. Paulsen
  spawned from rgp.c by Aaron Contorer for NCSA
Copyright 1987, board of trustees, University of Illinois

Routines for Macintosh Picture output.  Only one Real device is available

*/

/* 
 *	Include files 
 */

#include <stdio.h>

#include <Controls.h>
#include <OSutils.h>
#include <Packages.h>
#include <Quickdraw.h>
#include <Windows.h>


#define TRUE 1
#define FALSE 0
#define MAXWIND 20
#define INXMAX 4096
#define INYMAX 4096

char *MPname = "Macintosh PICTURE output";
char RGMPbusy; /* is device already in use */
int RGMPwidth, RGMPheight, RGMPxoffset=0, RGMPyoffset=0;
int RGMPcolor[]=
	{ 30,			/* black */
	  33,			/* white */
	  205,			/* red */
	  341,			/* green */
	  409,			/* blue */
	  273,			/* cyan */
	  137,			/* magenta */
	  69			/* yellow */
	  };

RGMPcharmode(w,rotation,size)
{}

RGMPpagedone()
{}

RGMPpencolor(w, color)
{
	ForeColor( (long) RGMPcolor[color] );
}

RGMPdataline()
{}

RGMPclrscr()
{}

RGMPshowcur()
{}

RGMPlockcur()
{}

RGMPhidecur()
{}

RGMPbell(w)
{}

RGMPuncover(w)
{}

RGMPinfo(w,v,a,b,c,d)
int w,a,b,c,d,v;
{}

RGMPgmode()
{}

RGMPtmode()
{}

char *RGMPdevname() {
	return(MPname);
}

RGMPinit()
{
	RGMPbusy=0;

/*	RGMPwidth=4096;
	RGMPheight=4096; */
	RGMPxoffset=0;
	RGMPyoffset=0;
}

RGMPnewwin()
{

	RGMPbusy=1;

/*	RGMPwidth=4096;
	RGMPheight=4096;	 */
	RGMPxoffset=0;
	RGMPyoffset=0;

	return(0);
}

RGMPclose(w)
{
	RGMPbusy=0;
}

RGMPpoint(w,x,y)
{

	MoveTo(x,y);
	LineTo(x,y);

} 
 int xx=0;
 
RGMPdrawline(w,x0,y0,x1,y1)
int w,x0,y0,x1,y1;
{


	x0 = RGMPxoffset + (int) ((long) x0 * RGMPwidth / INXMAX);
	y0 = RGMPyoffset + RGMPheight - (int) ((long) y0 * RGMPheight / INYMAX);
	x1 = RGMPxoffset + (int) ((long) x1 * RGMPwidth/INXMAX);
	y1 = RGMPyoffset + RGMPheight - (int) ((long) y1 * RGMPheight / INYMAX);

	MoveTo(x0,y0);
	LineTo(x1,y1);
	
	/*if (++xx < 200)
	printf("%d,%d,%d,%d\n",x0,y0,x1,y1);*/
	
}

RGMPsize(incoming)
Rect *incoming;
{
	RGMPheight= incoming->bottom-incoming->top;
	RGMPwidth = incoming->right - incoming->left;
	RGMPyoffset= incoming->top;
	RGMPxoffset= incoming->left; 

	return(0);
}
